com.pivotal.gemfirexd.internal.client.am

## Class GetResourceInputStreamAction

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.GetResourceInputStreamAction

All Implemented Interfaces:
  PrivilegedAction

    public class GetResourceInputStreamAction
    extends Object
    implements PrivilegedAction

Java 2 PrivilegedAction encapsulation of attempting to acquire driver-general properties as a System resource.

### Constructor Summary

Constructors
Constructor and Description
`GetResourceInputStreamAction(String resourceName)`

### Method Summary

Methods
`String` `getResourceLoaderId()`
`String` `getResourcePath()`
`Object` `run()`
`void` `setResourceName(String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GetResourceInputStreamAction

    public GetResourceInputStreamAction(String resourceName)

### Method Detail

#### run

    public Object run()

Specified by:
  `run` in interface `PrivilegedAction`

#### setResourceName

    public void setResourceName(String resourceName)

#### getResourcePath

    public String getResourcePath()

#### getResourceLoaderId

    public String getResourceLoaderId()